Get report infos
curl --request POST \
--url https://api.riskportal.activeviam.com/api/VarReport/GetReportInfos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"pricing_date": "2000-01-23T04:56:07.000+00:00",
"pricing_dates": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"portfolio_names": [
"portfolio_names",
"portfolio_names"
]
}
'import requests
url = "https://api.riskportal.activeviam.com/api/VarReport/GetReportInfos"
payload = {
"pricing_date": "2000-01-23T04:56:07.000+00:00",
"pricing_dates": ["2000-01-23T04:56:07.000+00:00", "2000-01-23T04:56:07.000+00:00"],
"portfolio_names": ["portfolio_names", "portfolio_names"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
pricing_date: '2000-01-23T04:56:07.000+00:00',
pricing_dates: ['2000-01-23T04:56:07.000+00:00', '2000-01-23T04:56:07.000+00:00'],
portfolio_names: ['portfolio_names', 'portfolio_names']
})
};
fetch('https://api.riskportal.activeviam.com/api/VarReport/GetReportInfos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/VarReport/GetReportInfos",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'pricing_date' => '2000-01-23T04:56:07.000+00:00',
'pricing_dates' => [
'2000-01-23T04:56:07.000+00:00',
'2000-01-23T04:56:07.000+00:00'
],
'portfolio_names' => [
'portfolio_names',
'portfolio_names'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/VarReport/GetReportInfos"
payload := strings.NewReader("{\n \"pricing_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"pricing_dates\": [\n \"2000-01-23T04:56:07.000+00:00\",\n \"2000-01-23T04:56:07.000+00:00\"\n ],\n \"portfolio_names\": [\n \"portfolio_names\",\n \"portfolio_names\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/VarReport/GetReportInfos")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"pricing_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"pricing_dates\": [\n \"2000-01-23T04:56:07.000+00:00\",\n \"2000-01-23T04:56:07.000+00:00\"\n ],\n \"portfolio_names\": [\n \"portfolio_names\",\n \"portfolio_names\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/VarReport/GetReportInfos")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"pricing_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"pricing_dates\": [\n \"2000-01-23T04:56:07.000+00:00\",\n \"2000-01-23T04:56:07.000+00:00\"\n ],\n \"portfolio_names\": [\n \"portfolio_names\",\n \"portfolio_names\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"report_infos": [
{
"status_message": "status_message",
"mkt_data_date": "2000-01-23T04:56:07.000+00:00",
"time_stamp": "2000-01-23T04:56:07.000+00:00",
"confidence_level": 0.8008281904610115,
"historical_start_date_rule": "historical_start_date_rule",
"portfolio_name": "portfolio_name",
"first_observation_date": "2000-01-23T04:56:07.000+00:00",
"var_horizon": 1,
"reporting_currency": "reporting_currency",
"real_time_mkt_data": true,
"portfolio_id": 6,
"id": "id",
"pricing_date": "2000-01-23T04:56:07.000+00:00",
"report_name": "report_name",
"portfolio_type": "derivitec",
"status": "none"
},
{
"status_message": "status_message",
"mkt_data_date": "2000-01-23T04:56:07.000+00:00",
"time_stamp": "2000-01-23T04:56:07.000+00:00",
"confidence_level": 0.8008281904610115,
"historical_start_date_rule": "historical_start_date_rule",
"portfolio_name": "portfolio_name",
"first_observation_date": "2000-01-23T04:56:07.000+00:00",
"var_horizon": 1,
"reporting_currency": "reporting_currency",
"real_time_mkt_data": true,
"portfolio_id": 6,
"id": "id",
"pricing_date": "2000-01-23T04:56:07.000+00:00",
"report_name": "report_name",
"portfolio_type": "derivitec",
"status": "none"
}
]
}Get report infos
POST
/
api
/
VarReport
/
GetReportInfos
Get report infos
curl --request POST \
--url https://api.riskportal.activeviam.com/api/VarReport/GetReportInfos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"pricing_date": "2000-01-23T04:56:07.000+00:00",
"pricing_dates": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"portfolio_names": [
"portfolio_names",
"portfolio_names"
]
}
'import requests
url = "https://api.riskportal.activeviam.com/api/VarReport/GetReportInfos"
payload = {
"pricing_date": "2000-01-23T04:56:07.000+00:00",
"pricing_dates": ["2000-01-23T04:56:07.000+00:00", "2000-01-23T04:56:07.000+00:00"],
"portfolio_names": ["portfolio_names", "portfolio_names"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
pricing_date: '2000-01-23T04:56:07.000+00:00',
pricing_dates: ['2000-01-23T04:56:07.000+00:00', '2000-01-23T04:56:07.000+00:00'],
portfolio_names: ['portfolio_names', 'portfolio_names']
})
};
fetch('https://api.riskportal.activeviam.com/api/VarReport/GetReportInfos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/VarReport/GetReportInfos",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'pricing_date' => '2000-01-23T04:56:07.000+00:00',
'pricing_dates' => [
'2000-01-23T04:56:07.000+00:00',
'2000-01-23T04:56:07.000+00:00'
],
'portfolio_names' => [
'portfolio_names',
'portfolio_names'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/VarReport/GetReportInfos"
payload := strings.NewReader("{\n \"pricing_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"pricing_dates\": [\n \"2000-01-23T04:56:07.000+00:00\",\n \"2000-01-23T04:56:07.000+00:00\"\n ],\n \"portfolio_names\": [\n \"portfolio_names\",\n \"portfolio_names\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/VarReport/GetReportInfos")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"pricing_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"pricing_dates\": [\n \"2000-01-23T04:56:07.000+00:00\",\n \"2000-01-23T04:56:07.000+00:00\"\n ],\n \"portfolio_names\": [\n \"portfolio_names\",\n \"portfolio_names\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/VarReport/GetReportInfos")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"pricing_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"pricing_dates\": [\n \"2000-01-23T04:56:07.000+00:00\",\n \"2000-01-23T04:56:07.000+00:00\"\n ],\n \"portfolio_names\": [\n \"portfolio_names\",\n \"portfolio_names\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"report_infos": [
{
"status_message": "status_message",
"mkt_data_date": "2000-01-23T04:56:07.000+00:00",
"time_stamp": "2000-01-23T04:56:07.000+00:00",
"confidence_level": 0.8008281904610115,
"historical_start_date_rule": "historical_start_date_rule",
"portfolio_name": "portfolio_name",
"first_observation_date": "2000-01-23T04:56:07.000+00:00",
"var_horizon": 1,
"reporting_currency": "reporting_currency",
"real_time_mkt_data": true,
"portfolio_id": 6,
"id": "id",
"pricing_date": "2000-01-23T04:56:07.000+00:00",
"report_name": "report_name",
"portfolio_type": "derivitec",
"status": "none"
},
{
"status_message": "status_message",
"mkt_data_date": "2000-01-23T04:56:07.000+00:00",
"time_stamp": "2000-01-23T04:56:07.000+00:00",
"confidence_level": 0.8008281904610115,
"historical_start_date_rule": "historical_start_date_rule",
"portfolio_name": "portfolio_name",
"first_observation_date": "2000-01-23T04:56:07.000+00:00",
"var_horizon": 1,
"reporting_currency": "reporting_currency",
"real_time_mkt_data": true,
"portfolio_id": 6,
"id": "id",
"pricing_date": "2000-01-23T04:56:07.000+00:00",
"report_name": "report_name",
"portfolio_type": "derivitec",
"status": "none"
}
]
}Authorizations
oauth2apikey
OAuth2 access-token requested from AWS Cognito and provided as a Auth Bearer header
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
The request.
Available options:
Derivitec.Web.Core.Reports.ApiGetReportInfosRequest, Derivitec.Web.Core Available options:
derivitec, enfusion, not_set Was this page helpful?